> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Discard Your Approval Request

> Retract the caller's previously submitted approval request for a week. The week returns to draft state.



## OpenAPI

````yaml /openapi.json put /timesheets/{timesheet_id}/discard-approval
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /timesheets/{timesheet_id}/discard-approval:
    put:
      tags:
        - Timesheets
      summary: Discard Your Approval Request
      description: >-
        Retract the caller's previously submitted approval request for a week.
        The week returns to draft state.
      operationId: discardYourApprovalRequest
      parameters:
        - name: timesheet_id
          in: path
          required: true
          description: Timesheet ID
          schema:
            type: number
            example: 148562535
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TimesheetApprovalRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimesheetApproval'
        '401':
          description: Unauthorized
components:
  schemas:
    TimesheetApprovalRequest:
      type: object
      properties:
        comment:
          type: string
          example: some text
        reviewer:
          type: number
          description: User ID, must be admin in team
          example: 14854
        sendNotification:
          type: boolean
          example: false
    TimesheetApproval:
      type: object
      properties:
        id:
          type: number
          description: Timesheet ID
          example: 148562535
        user:
          type: number
          description: User ID
          example: 14856
        weekId:
          type: number
          example: 2535
        reviewer:
          type: number
          description: Reviewer User ID
          example: 14854
        history:
          type: array
          items:
            $ref: '#/components/schemas/TimesheetApprovalHistory'
        status:
          type: string
          enum:
            - pending
            - rejected
            - approved
            - partial_approved
            - discarded
        totalTime:
          type: integer
          description: Total approved time in seconds.
          nullable: true
    TimesheetApprovalHistory:
      type: object
      properties:
        action:
          type: string
          enum:
            - submitted
            - rejected
            - approved
            - discarded
          example: submitted
        days:
          $ref: '#/components/schemas/ApprovalHistoryDays'
        user:
          type: number
          description: User ID
          example: 2535
        comment:
          type: string
          example: some text
        createdAt:
          type: string
          description: Datetime when action was created
          example: '2025-08-05 16:17:14'
    ApprovalHistoryDays:
      type: object
      properties:
        monday:
          type: boolean
          example: true
        tuesday:
          type: boolean
          example: true
        wednesday:
          type: boolean
          example: true
        thursday:
          type: boolean
          example: true
        friday:
          type: boolean
          example: true
        saturday:
          type: boolean
          example: false
        sunday:
          type: boolean
          example: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````